Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imageviewer
Interface GeomManipController

All Known Implementing Classes:
  GeomManip

public interface GeomManipController

Specifies methods to rotate and flip images.

Version:
  1.0 1 Nov 1999
Author:
  Lawrence Rodrigues

Method Summary
`void` | `flip(int flipMode)` Flips the image.
`int` | `getFlipMode()` Returns the flip mode.
`double` | `getRotationAngle()` Returns the rotation angle.
`double` | `getShearFactor()` Returns the shear factor.
`void` | `resetManipulation()` Resets manipulation
`void` | `rotate(double theta)` Rotates the currently displayed image.
`void` | `rotate(double theta, int rotCenterX, int rotCenterY)` Rotates the currently displayed image at a specified pivot point.
`void` | `setFlipMode(int flipMode)` Sets the flip mode.
`void` | `setRotationAngle(double theta)` Sets the rotation angle.
`void` | `setShearFactor(double shear)` Sets the shear factor.
`void` | `shear(double shx, double shy)` Shears the currently displayed image.

Method Detail

### setFlipMode

    public void setFlipMode(int flipMode)

  Sets the flip mode. This is a bound property . The input parameter can be one of NORMAL, LEFT_RIGHT, TOP_BOTTOM, LEFT_RIGHT_TOP_BOTTON. These constants are defined in the FlipMode class. Call to this method would reset the viewport and the image is redraw with new flip mode.
  Parameters:
    `flipMode` - the flip mode

### getFlipMode

    public int getFlipMode()

  Returns the flip mode.
  Returns:
    the current flip mode.

### getRotationAngle

    public double getRotationAngle()

  Returns the rotation angle.
  Returns:
    the current rotation angle.

### setRotationAngle

    public void setRotationAngle(double theta)

  Sets the rotation angle.
  Parameters:
    `the` - rotation angle.

### getShearFactor

    public double getShearFactor()

  Returns the shear factor.
  Returns:
    the current shear factor.

### setShearFactor

    public void setShearFactor(double shear)

  Sets the shear factor.
  Parameters:
    `the` - shear factor.

### rotate

    public void rotate(double theta)

  Rotates the currently displayed image. The rotation center is the mid point of the image.
  Parameters:
    `theta` - the rotation angle in radians.

### rotate

    public void rotate(double theta,
                       int rotCenterX,
                       int rotCenterY)

  Rotates the currently displayed image at a specified pivot point.
  Parameters:
    `theta` - the rotation angle in radians.
    `rotCenterX` - the X rotation center.
    `rotCenterY` - the Y rotation center.

### flip

    public void flip(int flipMode)

  Flips the image.
  Parameters:
    `flipMode` - the flip mode. Four flip modes are: NORMAL, LEFT_RIGHT, TOP_BOTTOM, LEFT_RIGHT_TOP_BOTTOM

### shear

    public void shear(double shx,
                      double shy)

  Shears the currently displayed image.
  Parameters:
    `shx` - the shear in the x direction.
    `shy` - the shear in the y direction.

### resetManipulation

    public void resetManipulation()

  Resets manipulation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD